// LinePropDlg.cpp: 实现文件
//

#include "pch.h"
#include "FYEDrawDemoVC.h"
#include "LinePropDlg.h"
#include "afxdialogex.h"


// CLinePropDlg 对话框

IMPLEMENT_DYNAMIC(CLinePropDlg, CDialog)

CLinePropDlg::CLinePropDlg(CWnd* pParent /*=nullptr*/)
	: CDialog(IDD_DIALOG_PLINE, pParent)
	, m_iShapeID(0)
	, m_iLineColor(0)
	, m_iLineWidth(0)
	, m_iLineStyle(0)
	, m_iEndMode(0)
{

}

CLinePropDlg::~CLinePropDlg()
{
}

void CLinePropDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_PROP_SHAPEID, m_iShapeID);
	DDX_Text(pDX, IDC_EDIT_PROP_LCOLOR, m_iLineColor);
	DDX_Text(pDX, IDC_EDIT_PROP_LWIDTH, m_iLineWidth);
	DDX_Text(pDX, IDC_EDIT_PROP_LSTYLE, m_iLineStyle);
	DDX_Text(pDX, IDC_EDIT_PROP_LENDMODE, m_iEndMode);
}


BEGIN_MESSAGE_MAP(CLinePropDlg, CDialog)
	ON_BN_CLICKED(IDOK, &CLinePropDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CLinePropDlg::OnBnClickedCancel)
END_MESSAGE_MAP()


// CLinePropDlg 消息处理程序


void CLinePropDlg::OnBnClickedOk()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnOK();
}


void CLinePropDlg::OnBnClickedCancel()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialog::OnCancel();
}
